Pause a managed queue
curl --request POST \
--url https://cloud.laravel.com/api/instances/{instance}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.laravel.com/api/instances/{instance}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.laravel.com/api/instances/{instance}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "instances",
"attributes": {
"name": "<string>",
"min_replicas": 123,
"max_replicas": 123,
"paused": true,
"is_default": true,
"visibility_timeout": 123,
"polling_interval": 123,
"shutdown_timeout": 123,
"uses_scheduler": true,
"sleep_with_app": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"type": "environments",
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"type": "background_processes",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "environments",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"created_from_automation": true,
"vanity_domain": "<string>",
"build_command": "<string>",
"deploy_command": "<string>",
"uses_octane": true,
"uses_hibernation": true,
"hibernation_wake_up_interval": 123,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
],
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [],
"rate_limit": {
"429": true,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"application": {
"data": {
"type": "applications",
"id": "<string>"
}
},
"branch": {
"data": {
"type": "branches",
"id": "<string>"
}
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"type": "deployments",
"id": "<string>"
}
},
"domains": {
"data": [
{
"type": "domains",
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"type": "domains",
"id": "<string>"
}
},
"instances": {
"data": [
{
"type": "instances",
"id": "<string>"
}
]
},
"database": {
"data": {
"type": "databaseSchemas",
"id": "<string>"
}
},
"cache": {
"data": {
"type": "caches",
"id": "<string>"
}
},
"buckets": {
"data": [
{
"type": "filesystems",
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"type": "websocketApplications",
"id": "<string>"
}
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Instances
Pause a managed queue
Stop dispatching jobs to the queue’s workers; queued messages are retained until it is resumed.
POST
/
instances
/
{instance}
/
pause
Pause a managed queue
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The instance identifier
Was this page helpful?
⌘I

